Skip to main content
GET
/
v1
/
chains
/
{chain_name}
/
accounts
/
{account_address}
/
nfts
List NFTs by account address
curl --request GET \
  --url https://api.sandbox.immutable.com/v1/chains/{chain_name}/accounts/{account_address}/nfts
import requests

url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/accounts/{account_address}/nfts"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/accounts/{account_address}/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": [
    {
      "chain": {
        "id": "eip155:13372",
        "name": "imtbl-zkevm-testnet"
      },
      "token_id": "1",
      "contract_address": "0x8a90cab2b38dba80c64b7734e58ee1db38b8992e",
      "indexed_at": "2022-08-16T17:43:26.991388Z",
      "updated_at": "2022-08-16T17:43:26.991388Z",
      "metadata_synced_at": "2022-08-16T17:43:26.991388Z",
      "name": "Sword",
      "description": "This is a super awesome sword",
      "image": "https://some-url",
      "external_link": "https://some-url",
      "animation_url": "https://some-url",
      "youtube_url": "https://some-url",
      "attributes": [
        {
          "trait_type": "Aqua Power",
          "value": "Happy",
          "display_type": "number"
        }
      ],
      "balance": "11",
      "metadata_id": "ae83bc80-4dd5-11ee-be56-0242ac120002"
    }
  ],
  "page": {
    "previous_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=",
    "next_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="
  }
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}

Path Parameters

account_address
string
required

Account address

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

Query Parameters

contract_address
string

The address of contract

token_id
string[]

List of token IDs to filter by

Maximum array length: 30
from_updated_at
string<date-time>

Datetime to use as the oldest updated timestamp

Example:

"2022-08-16T17:43:26.991388Z"

page_cursor
string

Encoded page cursor to retrieve previous or next page. Use the value returned in the response.

Example:

"ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="

page_size
integer<int32>
default:100

Maximum number of items to return

Required range: 1 <= x <= 200
Example:

10

Response

200 response

result
object[]
required

List of NFTs by owner

page
object
required

Pagination properties